import 'package:json_annotation/json_annotation.dart';

part 'AuthLoginModel.g.dart';

@JsonSerializable()
class AuthLoginModel {
  final String email;
  final String password;

  AuthLoginModel({required this.email, required this.password});

  factory AuthLoginModel.fromJson(Map<String, dynamic> json) =>
      _$AuthLoginModelFromJson(json);
  Map<String, dynamic> toJson() => _$AuthLoginModelToJson(this);
}
