import 'package:apus_drones_mobile/models/OrderItemModel.dart';
import 'package:apus_drones_mobile/models/PartnerModel.dart';
import 'package:json_annotation/json_annotation.dart';

part 'CartModel.g.dart';

@JsonSerializable()
class CartModel {
  final List<OrderItemModel> items;
  final PartnerModel partner;

  CartModel({
    required this.items,
    required this.partner,
  });

  factory CartModel.fromJson(Map<String, dynamic> json) =>
      _$CartModelFromJson(json);
  Map<String, dynamic> toJson() => _$CartModelToJson(this);
}
