import 'package:apus_drones_mobile/models/OrderModel.dart';
import 'package:apus_drones_mobile/models/PilotModel.dart';
import 'package:json_annotation/json_annotation.dart';

part 'CreateTripModel.g.dart';

@JsonSerializable()
class CreateTripModel {
  final int orderId;

  CreateTripModel({
    required this.orderId,
  });

  factory CreateTripModel.fromJson(Map<String, dynamic> json) =>
      _$CreateTripModelFromJson(json);
  Map<String, dynamic> toJson() => _$CreateTripModelToJson(this);
}
