import 'package:apus_drones_mobile/models/AddressModel.dart';
import 'package:json_annotation/json_annotation.dart';

part 'PilotModel.g.dart';

@JsonSerializable()
class PilotModel {
  final int id;
  final String name;
  final String email;
  final String cpfCnpj;
  final String avatarUrl;

  PilotModel({
    required this.id,
    required this.name,
    required this.email,
    required this.cpfCnpj,
    required this.avatarUrl,
  });

  factory PilotModel.fromJson(Map<String, dynamic> json) =>
      _$PilotModelFromJson(json);
  Map<String, dynamic> toJson() => _$PilotModelToJson(this);
}
