import 'package:json_annotation/json_annotation.dart';

part 'BasicProfileModel.g.dart';

@JsonSerializable()
class BasicProfileModel {
  final int id;
  final String name;
  final String email;
  final String avatarUrl;

  BasicProfileModel({
    required this.id,
    required this.name,
    required this.email,
    required this.avatarUrl,
  });

  factory BasicProfileModel.fromJson(Map<String, dynamic> json) =>
      _$BasicProfileModelFromJson(json);
  Map<String, dynamic> toJson() => _$BasicProfileModelToJson(this);
}
